  .hamburger {
    display: none;
    font-size: 1.9rem;
    cursor: pointer;
    color: white;
    position: absolute;
    left: 20px;
    top: 20px;
    user-select: none;

  }

  .nav-links {
    display: flex;
    gap: 50px;
  }


  body {
    margin: 0;
    background-color: black;
    font-family: Arial, sans-serif;
  }

  .rectangle {
    width: 90%;
    max-width: 1100px;
    height: 530px;
    justify-content: center;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    color: aliceblue;
    font-weight: bold;
    border-radius: 8px;
    padding: 20px;
    transition: background-image 1s ease-in-out;
    position: relative;
    margin-top: 20px;
    margin: 20px auto;

  }



  /* NAVBAR */
  .navbar {
    display: flex;
    gap: 50px;
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: bold;
    background: transparent;
    font-family: serif;
  }

  .navbar a {
    text-decoration: none;
    color: azure;
    transition: color 0.3s;
  }

  .navbar a:hover {
    color: yellow;
  }




  .categories a:hover {
    color: yellow;
  }

  /* QUOTE */
  .rectangle p {
    text-align: center;
    font-size: 1.5rem;
    font-family: 'Times New Roman', Times, serif;
    margin: 20px 0;
    max-width: 900px;
  }


  .hero-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* vertical center */
    height: 100%;
    width: 100%;
    position: relative;
    padding: 20px;
  }

  .hero-heading {
    color: antiquewhite;
    font-family: serif;
    font-size: 3.5rem;
    text-align: left;
    margin: 0;
    max-width: 500px;
  }

  .explore-btn {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    padding: 12px 30px;
    font-size: 1rem;
    font-weight: bold;
    color: white;
    background: transparent;
    border: 2px solid white;
    border-radius: 20px;
    /* text-transform: uppercase; */
    cursor: pointer;
    transition: all 0.3s ease;

    position: absolute;
    bottom: 20px;
    left: 50%;
    /* center horizontally */
    transform: translateX(-50%);
  }

  .explore-btn:hover {
    background: white;
    color: black;
  }

  /* Mobile view */
  @media (max-width: 768px) {
    .hero-heading {
      font-size: 2rem;
      max-width: 90%;
    }
  }

  /* SECOND SECTION */
  .book-heading {

    font-family: serif;
    text-align: center;
    color: bisque;
    margin-bottom: 0px;


  }

  .book-section {
    display: flex;
    align-items: center;
    width: 90%;
    max-width: 1100px;
    height: 530px;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;

    padding: 20px;
    color: #272727;
    overflow: hidden;
    /* ensures children respect radius */
    position: relative;
    border-radius: 20px !important;
  }

  /* Fading background layer */
  .bg-layer {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    transition: opacity 1s ease-in-out;
    z-index: 1;
  }

  .book-content {
    display: flex;
    align-items: stretch;
    width: 50%;
    height: 200px;
    z-index: 2;
    position: relative;
    transition: opacity 1s ease-in-out;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);

    border-radius: 20px;
    overflow: hidden;

    margin-top: 260px;
  }


  .book-left img {
    width: 80%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
  }

  .book-left {
    flex: 1;
  }

  .book-right {
    flex: 2;
    /* take 2 portions */
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 20px;
    color: rgb(145, 43, 17);
  }

  .book-title {
    font-size: 1.5rem;
    margin: 0;
    text-decoration: underline;
    color: rgb(252, 247, 247);
    margin-top: 0px;
  }

  .book-author {
    font-weight: bold;
    margin: 10px 0 5px 0;
    color: #d1c5c5;
  }

  .book-desc {
    font-size: 0.8rem;
    line-height: 1.3;
    color: rgb(180, 171, 171);
  }



  body {
    overflow-x: hidden;
    width: 100%;
  }



